--[[
	Skin elements
		
		icon		Button icon
		overlay	Base texture overlay
		equip		Texture when an equipped item is linked to an action button
		flash		Texture for an currently active button (eg. "Attack")
		cooldown	Cooldown animation
		hotkey	Hotkey string
		count		Count string
		autocast	Autocast animation
		autocastable Autocast arrows
		
		NormalTexture
		HighlightTexture
		PushedTexture
		CheckedTexture
	
	Skin parameters
	
		w		Width
		h		Height
		x		x-offset (Default: 0)
		y		y-offset (Default: 0)
		p		Point (Default: CENTER)
		rp		Relative point (Default: CENTER)
		tex		Texture file (complete path)
		bm		Blend mode (for textures)
		dl		Draw layer (for textures)
		fl		Frame level
		fs		Frame strata
		s		Scale (Default: 1.0)
		a		Alpha (Default: 1.0)

]]

cyCircled.skins = {
	["Serenity"] = {
		["icon"] 	= { w=26, h=25, dl="BACKGROUND" },
		["overlay"] = { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\serenity0", },
		["equip"] 	= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\serenity0", },
		["flash"]	= { w=30, h=30, tex="Interface\\AddOns\\cyCircled\\textures\\overlayred", a=.6, },
		["cooldown"]= { w=36, h=36, fl=2, s=.7, },
		["hotkey"]	= { x=2, y=11, dl="OVERLAY", },
		["count"]	= { x=10, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=26, h=25, x=6, y=-6, },
		["autocast"]= { w=30, h=30, fl=2, },
		["autocastable"]= { w=57, h=62, },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", }, -- this texture needs to be hidden, but setalpha is not possible as it's overritten
		["HighlightTexture"] 	= { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\serenity0", bm="BLEND", },
		["PushedTexture"] 		= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\serenity1", bm="BLEND", dl="BACKGROUND", },
		["CheckedTexture"]		= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\serenity1", bm="BLEND", dl="BACKGROUND", },
	},
	["Serenity: Gloss"] = {
		["icon"] 	= { w=26, h=25, dl="BACKGROUND" },
		["overlay"] = { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\serenityglossy0", },
		["equip"] 	= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\serenityglossy0", },
		["flash"]	= { w=30, h=30, tex="Interface\\AddOns\\cyCircled\\textures\\overlayred", a=.6, },
		["cooldown"]= { w=36, h=36, fl=2, s=.7, },
		["hotkey"]	= { x=2, y=11, dl="OVERLAY", },
		["count"]	= { x=10, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=26, h=25, x=6, y=-6, },
		["autocast"]= { w=30, h=30, fl=2, },
		["autocastable"]= { w=57, h=62, },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", }, -- this texture needs to be hidden, but setalpha is not possible as it's overritten
		["HighlightTexture"] 	= { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\serenityglossy0", bm="BLEND", },
		["PushedTexture"] 		= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\serenityglossy1", bm="BLEND", dl="BACKGROUND", },
		["CheckedTexture"]		= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\serenityglossy1", bm="BLEND", dl="BACKGROUND", },
	},
	["Sprocket"] = {
		["icon"] 	= { w=26, h=25, dl="BACKGROUND" },
		["overlay"] = { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\Sprocket",  },
		["equip"] 	= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\Sprocket", },
		["flash"]	= { w=30, h=30, tex="Interface\\AddOns\\cyCircled\\textures\\overlayred" },
		["cooldown"]= { w=36, h=36, fl=2, s=.7, },
		["hotkey"]	= { x=2, y=11, dl="OVERLAY", },
		["count"]	= { x=10, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=26, h=25, x=6, y=-6, },
		["autocast"]= { w=30, h=30, fl=2, },
		["autocastable"]= { w=57, h=62, },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", },
		["HighlightTexture"] 	= { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\Sprocket", bm="BLEND", },
		["PushedTexture"] 		= { w=38, h=37, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
		["CheckedTexture"]		= { w=38, h=37, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
	},
	["Sprocket: Black"] = {
		["icon"] 	= { w=26, h=25, dl="BACKGROUND" },
		["overlay"] = { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\SprocketBlack", bm="BLEND", },
		["equip"] 	= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\SprocketBlack", },
		["flash"]	= { w=30, h=30, tex="Interface\\AddOns\\cyCircled\\textures\\overlayred" },
		["cooldown"]= { w=36, h=36, fl=2, s=.7, },
		["hotkey"]	= { x=2, y=11, dl="OVERLAY", },
		["count"]	= { x=10, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=26, h=25, x=6, y=-6, },
		["autocast"]= { w=30, h=30, fl=2, },
		["autocastable"]= { w=57, h=62, },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", },
		["HighlightTexture"] 	= { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\SprocketBlack", bm="BLEND", },
		["PushedTexture"] 		= { w=38, h=37, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
		["CheckedTexture"]		= { w=38, h=37, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
	},
	["Sprocket: Spark"] = {
		["icon"] 	= { w=26, h=25, dl="BACKGROUND" },
		["overlay"] = { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\SprocketSpark", },
		["equip"] 	= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\SprocketSpark", },
		["flash"]	= { w=30, h=30, tex="Interface\\AddOns\\cyCircled\\textures\\overlayred" },
		["cooldown"]= { w=36, h=36, fl=2, s=.7, },
		["hotkey"]	= { x=2, y=11, dl="OVERLAY", },
		["count"]	= { x=10, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=26, h=25, },
		["autocast"]= { w=30, h=30, fl=2, },
		["autocastable"]= { w=57, h=62, },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", },
		["HighlightTexture"] 	= { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\SprocketSpark", bm="BLEND", },
		["PushedTexture"] 		= { w=38, h=37, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
		["CheckedTexture"]		= { w=38, h=37, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
	},
	["Square: Gloss"] = {
		["icon"] 	= { w=32, h=32, dl="BACKGROUND" },
		["overlay"] = { w=37, h=37, tex="Interface\\AddOns\\cyCircled\\textures\\glossy0", },
		["equip"] 	= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\glossy1", },
		["cooldown"]= { w=36, h=36, fl=2, s=.9, },
		["flash"]	= { w=30, h=30, },
		["hotkey"]	= { x=-1, y=8, dl="OVERLAY", },
		["count"]	= { x=8, y=-6, dl="OVERLAY", },
		["bagicon"]	= { w=26, h=25, x=6, y=-6, },
		["autocast"]= { w=30, h=30, fl=2, },
		["autocastable"]= { w=57, h=62, },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", },
		["HighlightTexture"] 	= { w=37, h=37, tex="Interface\\AddOns\\cyCircled\\textures\\glossy1", bm="BLEND", },
		["PushedTexture"] 		= { w=38, h=37, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
		["CheckedTexture"]		= { w=38, h=37, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
	},
	["Onyx: Square"] = {
		["icon"] 	= { w=32, h=32, dl="BACKGROUND" },
		["overlay"] = { w=40, h=40, dl="BORDER", tex="Interface\\AddOns\\cyCircled\\textures\\OnyxBase", },
		["equip"] 	= { w=40, h=40, tex="Interface\\AddOns\\cyCircled\\textures\\OnyxBase", },
		["cooldown"]= { w=37, h=37, fl=2, s=.75, },
		["flash"]	= { w=40, h=40, dl="OVERLAY", tex="Interface\\AddOns\\cyCircled\\textures\\OnyxFlash", bm="BLEND", },
		["hotkey"]	= { x=4, y=16, dl="OVERLAY", },
		["count"]	= { x=0, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=32, h=32, },
		["autocast"]= { w=29, h=28, y=-1, fl=2, },
		["autocastable"]= { w=54, h=54, y=-1, },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", },
		["HighlightTexture"] 	= { w=40, h=40, dl="HIGHLIGHT", tex="Interface\\AddOns\\cyCircled\\textures\\OnyxHighlight", bm="BLEND", },
		["PushedTexture"] 		= { w=36, h=36, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
		["CheckedTexture"]		= { w=40, h=40, dl="ARTWORK", tex="Interface\\AddOns\\cyCircled\\textures\\OnyxActive", bm="BLEND", },
	},
	["Onyx: Square Gloss"] = {
		["icon"] 	= { w=32, h=32, dl="BACKGROUND" },
		["overlay"] = { w=40, h=40, dl="BORDER", tex="Interface\\AddOns\\cyCircled\\textures\\OnyxGloss", },
		["equip"] 	= { w=40, h=40, tex="Interface\\AddOns\\cyCircled\\textures\\OnyxGloss", },
		["cooldown"]= { w=37, h=37, fl=2, s=.75, },
		["flash"]	= { w=40, h=40, dl="OVERLAY", tex="Interface\\AddOns\\cyCircled\\textures\\OnyxFlash", bm="BLEND", },
		["hotkey"]	= { x=4, y=16, dl="OVERLAY", },
		["count"]	= { x=0, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=32, h=32, },
		["autocast"]= { w=29, h=28, y=-1, fl=2, },
		["autocastable"]= { w=54, h=54, y=-1, },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", },
		["HighlightTexture"] 	= { w=40, h=40, dl="HIGHLIGHT", tex="Interface\\AddOns\\cyCircled\\textures\\OnyxHighlight", bm="BLEND", },
		["PushedTexture"] 		= { w=36, h=36, tex="Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight", bm="ADD", },
		["CheckedTexture"]		= { w=40, h=40, dl="ARTWORK", tex="Interface\\AddOns\\cyCircled\\textures\\OnyxActive", bm="BLEND", },
	},
	["Hex"] = {
		["icon"] 	= { w=26, h=25, dl="BACKGROUND" },
		["overlay"] = { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\hex0", },
		["equip"] 	= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\hex0", },
		["flash"]	= { w=30, h=30, tex="Interface\\AddOns\\cyCircled\\textures\\overlayred", a=.6, },
		["cooldown"]= { w=36, h=36, fl=2, s=.7, },
		["hotkey"]	= { x=2, y=11, dl="OVERLAY", },
		["count"]	= { x=10, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=26, h=25, x=6, y=-6, },
		["autocast"]= { w=30, h=30, fl=2, },
		["autocastable"]= { w=57, h=62, },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", }, -- this texture needs to be hidden, but setalpha is not possible as it's overritten
		["HighlightTexture"] 	= { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\hex0", bm="BLEND", },
		["PushedTexture"] 		= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\hex1", bm="BLEND", dl="BACKGROUND", },
		["CheckedTexture"]		= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\hex1", bm="BLEND", dl="BACKGROUND", },
	},
	["Hex: 90"] = {
		["icon"] 	= { w=27, h=27, dl="BACKGROUND" },
		["overlay"] = { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\90hex0", },
		["equip"] 	= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\90hex0", },
		["flash"]	= { w=30, h=30, tex="Interface\\AddOns\\cyCircled\\textures\\overlayred", a=.6, },
		["cooldown"]= { w=36, h=36, fl=2, s=.7, },
		["hotkey"]	= { x=2, y=8, dl="OVERLAY", },
		["count"]	= { x=10, y=-8, dl="OVERLAY", },
		["bagicon"]	= { w=26, h=25, x=6, y=-6, },
		["autocast"]= { w=30, h=30, x=1, y=-1, s=0.9, fl=2, },
		["autocastable"]= { w=62, h=62 },
		
		["NormalTexture"] 		= { w=1, h=1, x=4, y=-4, r="CENTER", rp="TOPLEFT", }, -- this texture needs to be hidden, but setalpha is not possible as it's overritten
		["HighlightTexture"] 	= { w=43, h=43, tex="Interface\\AddOns\\cyCircled\\textures\\90hex0", bm="BLEND", },
		["PushedTexture"] 		= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\90hex1", bm="BLEND", dl="BACKGROUND", },
		["CheckedTexture"]		= { w=46, h=46, tex="Interface\\AddOns\\cyCircled\\textures\\90hex1", bm="BLEND", dl="BACKGROUND", },
	},
}
